Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.deploy
Class FilterMap

    java.lang.Object
      |
      +--org.apache.catalina.deploy.FilterMap

public final class FilterMap
extends java.lang.Object

Representation of a filter mapping for a web application, as represented in a `<filter-mapping>` element in the deployment descriptor. Each filter mapping must contain a filter name plus either a URL pattern or a servlet name.

Version:
  $Revision: 1.3 $ $Date: 2001/07/22 20:25:10 $
Author:
  Craig R. McClanahan

Constructor Summary
`FilterMap()`

Method Summary
`java.lang.String` | `getFilterName()`
`java.lang.String` | `getServletName()`
`java.lang.String` | `getURLPattern()`
`void` | `setFilterName(java.lang.String filterName)`
`void` | `setServletName(java.lang.String servletName)`
`void` | `setURLPattern(java.lang.String urlPattern)`
`java.lang.String` | `toString()` Render a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FilterMap

    public FilterMap()

Method Detail

### getFilterName

    public java.lang.String getFilterName()

### setFilterName

    public void setFilterName(java.lang.String filterName)

### getServletName

    public java.lang.String getServletName()

### setServletName

    public void setServletName(java.lang.String servletName)

### getURLPattern

    public java.lang.String getURLPattern()

### setURLPattern

    public void setURLPattern(java.lang.String urlPattern)

### toString

    public java.lang.String toString()

  Render a String representation of this object.
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.